minlon=str2num(get(h1,'String'));
maxlon=str2num(get(h2,'String'));
minlat=str2num(get(h3,'String'));
maxlat=str2num(get(h4,'String'));
dz=str2num(get(h7,'String'));

A=[minlon maxlon minlat maxlat];
figure(1)
hold off
clf
latc=latC;
lonc=lonC;

I=lonc<minlon;
latc(I)=[];
lonc(I)=[];
I=maxlon<lonc;
latc(I)=[];
lonc(I)=[];
I=latc<minlat;
latc(I)=[];
lonc(I)=[];
I=maxlat<latc;
latc(I)=[];
lonc(I)=[];
plot(lonc,latc,'k')
axis('equal')
grid on
axis(A)
xlabel('Longitude')
ylabel('Latitude')
hold on

% redefine for plotting depth contours
lath=lat;
lonh=lon;
hh=h;

I=lonh(1,:)<minlon;
lath(:,I)=[];
lonh(:,I)=[];
hh(:,I)=[];
I=maxlon<lonh(1,:);
lath(:,I)=[];
lonh(:,I)=[];
hh(:,I)=[];
I=lath(:,1)<minlat;
lath(I,:)=[];
lonh(I,:)=[];
hh(I,:)=[];
I=maxlat<lath(:,1);
lath(I,:)=[];
lonh(I,:)=[];      
hh(I,:)=[];

V=0:dz:6000;
contour(lonh,lath,hh,V,'g')
axis(A)
title(['Contours in ' num2str(dz) ' m intervals'])

figure(2)

